#
# spec file for package leechcraft-doc
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define LEECHCRAFT_VERSION 0.6.70-13729-g7046a9d2a7

Name:           leechcraft-doc
Version:        0.6.70+git.13729.g7046a9d2a7
Release:        bp153.3.14
Summary:        Modular Internet Client Documentation
License:        BSL-1.0
Group:          Development/Libraries/Other
URL:            http://leechcraft.org
Source0:        https://dist.leechcraft.org/LeechCraft/0.6.75/leechcraft-%{LEECHCRAFT_VERSION}.tar.xz

BuildRequires:  doxygen >= 1.8.3.1
BuildRequires:  fdupes
BuildRequires:  graphviz
BuildRequires:  graphviz-gnome
BuildRequires:  xz
BuildArch:      noarch

%description
This packages provides documentation of LeechCraft core API.

It contains description of core API used for developing first-level
LeechCraft plugins. For developing sub-plugins, please refer to
corresponding packages (like leechcraft-azoth-doc). This documentation
is also available online at http://doc.leechcraft.org/core/

%package -n leechcraft-azoth-doc
Summary:        LeechCraft Azoth Documentation
Group:          Development/Libraries/Other
BuildArch:      noarch

%description -n leechcraft-azoth-doc
This packages provides documentation of LeechCraft Azoth API.

It contains description of Azoth API used for developing LeechCraft
Azoth sub-plugins. For developing first-lexel plugins, please refer
to corresponding packages (like leechcraft-doc). This documentation
is also available online at http://doc.leechcraft.org/azoth/

%package -n leechcraft-monocle-doc
Summary:        LeechCraft Monocle Documentation
Group:          Development/Libraries/Other
BuildArch:      noarch

%description -n leechcraft-monocle-doc
This packages provides documentation of LeechCraft Monocle API.

It contains description of Monocle API used for developing LeechCraft
Monocle sub-plugins. For developing first-lexel plugins, please refer
to corresponding packages (like leechcraft-doc). This documentation
is also available online at http://doc.leechcraft.org/monocle/

%prep
%setup -q -n leechcraft-%{LEECHCRAFT_VERSION}

%build
cd doc/doxygen/core
sed -i Doxyfile \
-e "s/PROJECT_NUMBER .*/PROJECT_NUMBER         = %{LEECHCRAFT_VERSION}/"
doxygen Doxyfile

cd ../azoth
sed -i Doxyfile \
-e "s/PROJECT_NUMBER .*/PROJECT_NUMBER         = %{LEECHCRAFT_VERSION}/"
doxygen Doxyfile

cd ../monocle
sed -i Doxyfile \
-e "s/PROJECT_NUMBER .*/PROJECT_NUMBER         = %{LEECHCRAFT_VERSION}/"
doxygen Doxyfile

%install
cd doc/doxygen/core/out/html
mkdir -p %{buildroot}%{_docdir}/leechcraft-doc
cp -r * %{buildroot}%{_docdir}/leechcraft-doc

cd ../../../azoth/out/html
mkdir -p %{buildroot}%{_docdir}/leechcraft-azoth-doc
cp -r * %{buildroot}%{_docdir}/leechcraft-azoth-doc

cd ../../../monocle/out/html
mkdir -p %{buildroot}%{_docdir}/leechcraft-monocle-doc
cp -r * %{buildroot}%{_docdir}/leechcraft-monocle-doc

%fdupes -s %{buildroot}%{_docdir}/leechcraft-doc/
%fdupes -s %{buildroot}%{_docdir}/leechcraft-azoth-doc/
%fdupes -s %{buildroot}%{_docdir}/leechcraft-monocle-doc/

%files
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-doc

%files -n leechcraft-azoth-doc
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-azoth-doc

%files -n leechcraft-monocle-doc
%defattr(-,root,root)
%doc %{_docdir}/leechcraft-monocle-doc

%changelog
* Fri May  1 2020 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13729-g7046a9d2a7 snapshot:
  * Source-url is back.
* Tue Mar 31 2020 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13641-g995b95b3d4 snapshot:
  * There will not be source-url till Saturday.
* Mon Feb  3 2020 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13588-g98cf733e94 snapshot:
  * no changes for doc subpackages.
* Wed Dec 25 2019 Dmitriy Perlow <dap.darkness@gmail.com>
- Refactored changes file.
- Updated to 0.6.70-13588-g98cf733e94 snapshot:
  * no changes for doc subpackages.
* Sat May 11 2019 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13186-g2c3ee31903 snapshot.
* Sun Apr 14 2019 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13163-g100049e6a6 snapshot.
* Sat Apr  6 2019 Dmitriy Perlow <dap.darkness@gmail.com>
- Updated to 0.6.70-13143-gd05082db2d snapshot.
- openSUSE 12.1 isn't a point of interest.
* Sun Jun 10 2018 dap.darkness@gmail.com
- Updated to 0.6.70-11552-gf61ee51c3d snapshot.
* Tue Jan 23 2018 dap.darkness@gmail.com
- Updated to 0.6.70-10870-g558588d6ec snapshot.
* Sun Aug 13 2017 dap.darkness@gmail.com
- Updated to 0.6.70-9561-gaf7a4f70b8 git snapshot.
* Thu Aug 10 2017 dap.darkness@gmail.com
- Updated to 0.6.70-9432-g81ef79f367 git snapshot.
* Sat Jun 24 2017 dap.darkness@gmail.com
- Updated to 0.6.70-9312-g4cc613a2df git snapshot.
* Mon Jun 12 2017 dap.darkness@gmail.com
- Fixed Source URL for factory-auto.
* Mon Jun  5 2017 dap.darkness@gmail.com
- Updated to 0.6.70-9233-gffda87bea6 git snapshot.
* Sat May  7 2016 dap.darkness@gmail.com
- Updated to 0.6.70-6645-gcd10d7e git snapshot.
* Wed Feb  3 2016 dap.darkness@gmail.com
- 0.6.70-6053-g34d21e8 git snapshot.
- leechcraft-lmp-append-gstreamer-include-dirs-pkgconfig.patch
  was removed as already provided via upstream tarball.
* Sun Nov 29 2015 mlin@suse.com
- Add leechcraft-lmp-append-gstreamer-include-dirs-pkgconfig.patch
  * Fix compilation in lmp plugin with GStreamer 1.5.1 and above
* Wed Jun 10 2015 dap.darkness@gmail.com
- 0.6.70-3565-g2d86529 git snapshot.
* Mon May 25 2015 dap.darkness@gmail.com
- 0.6.70-3466-g864bd1a git snapshot.
* Tue Apr 21 2015 dap.darkness@gmail.com
- 0.6.70-2742-gfaed6e2 git snapshot.
* Wed Jul 30 2014 dap.darkness@gmail.com
- 0.6.70 release.
* Mon Jul  7 2014 dap.darkness@gmail.com
- 0.6.65-380-gffa0f72 git snapshot.
* Mon Apr 28 2014 schwab@linux-m68k.org
- Add graphviz-gnome to build requires for png support
* Sat Apr  5 2014 dap.darkness@gmail.com
- 0.6.65 release.
* Mon Dec 30 2013 dap.darkness@gmail.com
- 0.6.60 release.
* Sat Dec 21 2013 dap.darkness@gmail.com
- Unsupported distros (oS < 12.2) were dropped.
* Wed Sep 11 2013 dap.darkness@gmail.com
- 0.6.0 bugfix release.
* Fri Jul 12 2013 dap.darkness@gmail.com
- 0.5.99 bugfix release.
* Sun Jun 16 2013 dap.darkness@gmail.com
- Split out from the main package.
